=== debian/changelog ===
rinputd (1.0.3-5) unstable; urgency=low

  * Add dependency on openssl for certificate generation
    - Closes: #596065
  * Remove dbg package since dbgsym package is generated automatically
  * Update standards version to 3.9.1
  * Prevent linking when unnecessary
  * List missing installed files at build time

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 08 Sep 2010 15:07:16 -0400

rinputd (1.0.3-4) lucid; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #582382
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #583123
  * Czech (Michal Simunek).  Closes: #583135
  * Danish (Joe Hansen).  Closes: #583145
  * Swedish (Martin Bagge).  Closes: #583158
  * Portuguese (Rui Branco).  Closes: #583308
  * German (Chris Leick).  Closes: #583932
  * French (Steve Petruzzello).  Closes: #584320
  * Spanish (Camaleón).  Closes: #584449

 -- Chase Douglas <chase.douglas@ubuntu.com>  Fri, 21 May 2010 07:36:55 +0200

rinputd (1.0.3-3) unstable; urgency=low

  * Don't force user configuration if noninteractive install
    - Closes: bug#581999

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 29 May 2010 21:16:23 -0400

rinputd (1.0.3-2) unstable; urgency=low

  * Use debconf to configure an authorized user

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 29 Mar 2010 01:11:00 -0400

rinputd (1.0.3-1) unstable; urgency=low

  * Initial package
    - Closes: bug#569042

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 09 Feb 2010 11:01:58 -0500
