=== debian/control ===
Source: rinputd
Section: net
Priority: optional
Maintainer: Chase Douglas <chase.douglas@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: cdbs, cmake, debhelper (>= 7), libavahi-client-dev, libavahi-qt4-dev, libqt4-dev, libsasl2-dev, po-debconf
Homepage: https://launchpad.net/rinput
VCS-bzr: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/
VCS-browser: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/files

Package: rinputd
Architecture: i386 ia64 alpha amd64 armel hppa mips mipsel powerpc s390 sparc
Depends: openssl, sasl2-bin, ${shlibs:Depends}, ${misc:Depends}
Conflicts: rinputd
Description: server daemon for receiving user input events
 This package provides a remote input server daemon which listens for
 connections from rinput clients (such as mobile phone applications). These
 authenticate via a secure SSL socket through the Cyrus SASL password
 database, /etc/sasldb2. The uinput user input event interface can
 then create virtual devices such as a keyboard and mouse under the
 remote control of the client.

Package: rinput-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Conflicts: rinput-dev
Description: server daemon for receiving user input events - development files
 This package provides a remote input server daemon which listens for
 connections from rinput clients (such as mobile phone applications). These
 authenticate via a secure SSL socket through the Cyrus SASL password
 database, /etc/sasldb2. The uinput user input event interface can
 then create virtual devices such as a keyboard and mouse under the
 remote control of the client.
 .
 This package contains a header defining rinput protocol values.
