## rinputd 1.0.4

=== debian/changelog ===
rinputd (1.0.4-2) unstable; urgency=low

  * Fix mutt mangled da.po debconf translation. Closes: #610105

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 15 Jan 2011 18:19:54 -0500

rinputd (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - Fix g++ syntactical build failure
  * Fix string test in rinputd.postinst

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 04 Jan 2011 18:15:05 -0500

rinputd (1.0.3-6) unstable; urgency=low

  * Added Japanese (Nobuhiro Iwamatsu) debconf translation. Closes: #602468
  * Added armhf to list of supported architectures for rinputd. Closes: #604668
  * Added sh4 to list of supported architectures for rinputd. Closes: #586726
  * Use case-insensitive check for noninteractive debconf frontend.
    - Closes: #604235
  * Add dbg package back in since Debian doesn't generate dbgsym packages.

 -- Chase Douglas <chase.douglas@ubuntu.com>  Thu, 25 Nov 2010 17:33:34 -0500
