=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 VCS-browser: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/files
 
 Package: rinputd
-Architecture: i386 ia64 alpha amd64 armel hppa mips mipsel powerpc s390 sparc
+Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
 Depends: openssl, sasl2-bin, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: rinputd
 Description: server daemon for receiving user input events
@@ -19,6 +19,22 @@
  database, /etc/sasldb2. The uinput user input event interface can
  then create virtual devices such as a keyboard and mouse under the
  remote control of the client.
+
+Package: rinputd-dbg
+Section: debug
+Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
+Priority: extra
+Depends: rinputd (= ${binary:Version}), ${misc:Depends}
+Conflicts: rinputd-dbg
+Description: server daemon for receiving user input events - debug symbols
+ This package provides a remote input server daemon which listens for
+ connections from rinput clients (such as mobile phone applications). These
+ authenticate via a secure SSL socket through the Cyrus SASL password
+ database, /etc/sasldb2. The uinput user input event interface can
+ then create virtual devices such as a keyboard and mouse under the
+ remote control of the client.
+ .
+ This package contains debug symbols.
 
 Package: rinput-dev
 Section: devel
