## rinputd 1.0.5

=== common/CMakeLists.txt ===
find_package(Qt4)
set(QT_DONT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
include(${QT_USE_FILE})

set(common_SRCS
    Connection.cpp
)

set(common_MOC_HDRS
    Connection.h
)

qt4_automoc(${common_SRCS})
qt4_wrap_cpp(common_MOC_SRCS ${common_MOC_HDRS})

add_library(common ${common_SRCS} ${common_MOC_SRCS})

if (NOT APPLE)
    install(FILES rinput.h DESTINATION include COMPONENT include)
endif ()
