=== debian/changelog ===
rinputd (1.0.5-2) unstable; urgency=low

  * Convert from CDBS to debhelper
  * Build on all Linux architectures
  * Run wrap-and-sort on debian/control
  * Run "set -e" in body of debian/config script

 -- Chase Douglas <chase.douglas@ubuntu.com>  Thu, 12 Apr 2012 11:20:09 -0700

rinputd (1.0.5-1) unstable; urgency=low

  * Update watch file for https download urls
  * New upstream release.
    - Fix build failure when compiled with GCC 4.7. Closes: #667358
  * Bump lintian standards version to 3.9.3

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 03 Apr 2012 21:59:54 -0700
