=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Chase Douglas <chase.douglas@ubuntu.com>
-Standards-Version: 3.9.1
-Build-Depends: cdbs, cmake, debhelper (>= 7), libavahi-client-dev, libavahi-qt4-dev, libqt4-dev, libsasl2-dev, po-debconf
+Standards-Version: 3.9.3
+Build-Depends: cmake,
+               debhelper (>= 7.0.50~),
+               libavahi-client-dev,
+               libavahi-qt4-dev,
+               libqt4-dev,
+               libsasl2-dev,
+               po-debconf
 Homepage: https://launchpad.net/rinput
 VCS-bzr: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/
 VCS-browser: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/files
 
 Package: rinputd
-Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
-Depends: openssl, sasl2-bin, ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any
+Depends: openssl, sasl2-bin, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: rinputd
 Description: server daemon for receiving user input events
  This package provides a remote input server daemon which listens for
@@ -22,7 +28,7 @@
 
 Package: rinputd-dbg
 Section: debug
-Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
+Architecture: linux-any
 Priority: extra
 Depends: rinputd (= ${binary:Version}), ${misc:Depends}
 Conflicts: rinputd-dbg
