=== debian/watch ===
version=3
http://launchpad.net/rinput/+download https?://launchpad.net/rinput/.*/rinputd_(.*)\.tar\.gz
